#include <stdio.h>
#include <stdlib.h>
#include <curl/curl.h>
#include "config.h"

// Callback function to write fetched data to stdout
size_t write_data(void *ptr, size_t size, size_t nmemb, void *stream) {
    return fwrite(ptr, size, nmemb, stdout);
}

int main(int argc, char *argv[]) {
    if (argc != 2) {
        fprintf(stderr, "Usage: %s <adress>\n", argv[0]);
        return 1;
    }

    CURL *curl;
    CURLcode res;

    curl = curl_easy_init();
    if (curl) {
        // Set the URL to fetch
        curl_easy_setopt(curl, CURLOPT_URL, argv[1]);

        // Set the callback function to write fetched data to stdout
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, write_data);

        // Perform the request
        res = curl_easy_perform(curl);

        // Check for errors
        if (res != CURLE_OK) {
            fprintf(stderr, "curl_easy_perform() failed: %s\n", curl_easy_strerror(res));
        }

        // Clean up
        curl_easy_cleanup(curl);
    }

    return 0;
}
